def sync_requirements():
    requirements='''absl-py==1.4.0
accelerate==0.25.0
aiofiles==22.1.0
aiosqlite==0.19.0
anyio==4.1.0
argon2-cffi-bindings==21.2.0
argon2-cffi==23.1.0
array-record==0.5.0
arrow==1.3.0
astroid==3.0.2
asttokens==2.4.1
astunparse==1.6.3
attrs==23.1.0
audioread==3.0.1
autopep8==2.0.4
babel==2.14.0
beautifulsoup4==4.12.2
bleach==6.1.0
cachetools==5.3.2
certifi==2023.11.17
cffi==1.16.0
charset-normalizer==3.3.2
chex==0.1.85
click==8.1.7
cloud-tpu-client==0.10
cloudpickle==3.0.0
comm==0.2.0
contourpy==1.2.0
cycler==0.12.1
debugpy==1.8.0
decorator==5.1.1
defusedxml==0.7.1
diffusers==0.24.0
dill==0.3.7
distrax==0.1.5
dm-haiku==0.0.12.dev0
dm-tree==0.1.8
docstring-to-markdown==0.13
entrypoints==0.4
etils==1.6.0
exceptiongroup==1.2.0
executing==2.0.1
fastjsonschema==2.19.0
filelock==3.13.1
flake8==6.1.0
flatbuffers==23.5.26
flax==0.7.4
fonttools==4.46.0
fqdn==1.5.1
fsspec==2023.12.2
funcsigs==1.0.2
gast==0.5.4
gin-config==0.5.0
google-api-core==1.34.0
google-api-python-client==1.8.0
google-auth-httplib2==0.2.0
google-auth-oauthlib==1.0.0
google-auth==2.25.2
google-pasta==0.2.0
googleapis-common-protos==1.62.0
grpcio==1.60.0
gym-notices==0.0.8
gym==0.26.2
h5py==3.10.0
httplib2==0.22.0
huggingface-hub==0.19.4
idna==3.6
importlib-metadata==7.0.0
importlib-resources==6.1.1
ipykernel==6.27.1
ipython-genutils==0.2.0
ipython==8.18.1
isoduration==20.11.0
isort==5.13.1
jax==0.4.17
jaxlib==0.4.17
jedi==0.19.1
jinja2==3.1.2
jmp==0.0.4
joblib==1.3.2
jraph==0.0.6.dev0
json5==0.9.14
jsonpointer==2.4
jsonschema-specifications==2023.11.2
jsonschema==4.20.0
jupyter-client==7.4.9
jupyter-core==5.5.0
jupyter-events==0.9.0
jupyter-lsp==1.5.1
jupyter-server-fileid==0.9.0
jupyter-server-terminals==0.5.0
jupyter-server-ydoc==0.8.0
jupyter-server==2.12.1
jupyter-ydoc==0.2.5
jupyterlab-pygments==0.3.0
jupyterlab-server==2.25.2
jupyterlab==3.6.6
keras==2.14.0
kiwisolver==1.4.5
lazy-loader==0.3
libclang==16.0.6
librosa==0.10.1
libtpu-nightly==0.1.dev20231003
llvmlite==0.41.1
markdown-it-py==3.0.0
markdown==3.5.1
markupsafe==2.1.3
matplotlib-inline==0.1.6
matplotlib==3.8.2
mccabe==0.7.0
mdurl==0.1.2
mistune==3.0.2
ml-dtypes==0.2.0
mpmath==1.3.0
msgpack==1.0.7
nbclassic==1.0.0
nbclient==0.9.0
nbconvert==7.12.0
nbformat==5.9.2
nest-asyncio==1.5.8
networkx==3.2.1
notebook-shim==0.2.3
notebook==6.5.6
numba==0.58.1
numpy==1.26.2
nvidia-cublas-cu12==12.1.3.1
nvidia-cuda-cupti-cu12==12.1.105
nvidia-cuda-nvrtc-cu12==12.1.105
nvidia-cuda-runtime-cu12==12.1.105
nvidia-cudnn-cu12==8.9.2.26
nvidia-cufft-cu12==11.0.2.54
nvidia-curand-cu12==10.3.2.106
nvidia-cusolver-cu12==11.4.5.107
nvidia-cusparse-cu12==12.1.0.106
nvidia-nccl-cu12==2.18.1
nvidia-nvjitlink-cu12==12.3.101
nvidia-nvtx-cu12==12.1.105
oauth2client==4.1.3
oauthlib==3.2.2
opencv-python-headless==4.8.1.78
opt-einsum==3.3.0
optax==0.1.7
orbax-checkpoint==0.4.4
overrides==7.4.0
packaging==23.2
pandas==2.1.4
pandocfilters==1.5.0
papermill==2.5.0
parso==0.8.3
pexpect==4.9.0
pillow==10.1.0
pip==23.0.1
platformdirs==4.1.0
pluggy==1.3.0
pooch==1.8.0
prometheus-client==0.19.0
promise==2.3
prompt-toolkit==3.0.42
protobuf==3.20.3
psutil==5.9.6
ptyprocess==0.7.0
pure-eval==0.2.2
pyasn1-modules==0.3.0
pyasn1==0.5.1
pycodestyle==2.11.1
pycparser==2.21
pydocstyle==6.3.0
pyflakes==3.1.0
pygments==2.17.2
pylint==3.0.3
pyparsing==3.1.1
python-dateutil==2.8.2
python-json-logger==2.0.7
python-lsp-jsonrpc==1.1.2
python-lsp-server==1.9.0
pytoolconfig==1.2.6
pytz==2023.3.post1
pyyaml==6.0.1
pyzmq==24.0.1
referencing==0.32.0
regex==2023.10.3
requests-oauthlib==1.3.1
requests==2.31.0
rfc3339-validator==0.1.4
rfc3986-validator==0.1.1
rich==13.7.0
rope==1.11.0
rpds-py==0.13.2
rsa==4.9
safetensors==0.4.1
scikit-learn==1.3.2
scipy==1.11.4
send2trash==1.8.2
setuptools==65.5.1
six==1.16.0
sniffio==1.3.0
snowballstemmer==2.2.0
soundfile==0.12.1
soupsieve==2.5
soxr==0.3.7
stack-data==0.6.3
sympy==1.12
tabulate==0.9.0
tenacity==8.2.3
tensorboard-data-server==0.7.2
tensorboard==2.14.1
tensorflow-addons==0.23.0
tensorflow-datasets==4.9.3
tensorflow-estimator==2.14.0
tensorflow-hub==0.15.0
tensorflow-io-gcs-filesystem==0.34.0
tensorflow-io==0.34.0
tensorflow-metadata==1.14.0
tensorflow-probability==0.23.0
tensorflow-text==2.14.0
tensorflow==2.14.0
tensorstore==0.1.45
termcolor==2.4.0
terminado==0.18.0
threadpoolctl==3.2.0
tinycss2==1.2.1
tokenizers==0.15.0
toml==0.10.2
tomli==2.0.1
tomlkit==0.12.3
toolz==0.12.0
torch-xla==2.1.0+libtpu
torch==2.1.0
torchaudio==2.1.0
torchdata==0.7.0
torchtext==0.16.0
torchvision==0.16.0
tornado==6.4
tqdm==4.66.1
traitlets==5.14.0
transformers==4.36.0
trax==1.4.1
triton==2.1.0
typeguard==2.13.3
types-python-dateutil==2.8.19.14
typing-extensions==4.9.0
tzdata==2023.3
ujson==5.9.0
uri-template==1.3.0
uritemplate==3.0.1
urllib3==2.1.0
wcwidth==0.2.12
webcolors==1.13
webencodings==0.5.1
websocket-client==1.7.0
werkzeug==3.0.1
whatthepatch==1.0.5
wheel==0.42.0
wrapt==1.14.1
y-py==0.6.2
yapf==0.40.2
ypy-websocket==0.8.4
zipp==3.17.0
'''
    with open('requirements.txt', 'w') as file:
        file.write(requirements)
    !pip install -r requirements.txt